Bug 1824834 - httpSecret should always be set
Summary: httpSecret should always be set
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-16 14:21 UTC by Oleg Bulatov
Modified: 2020-09-21 11:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the operator didn't generate httpSecret if its empty Consequence: httpSecret is not properly set when config is created with empty httpSecret (for example, for a manifest from git) Fix: generate httpSecret when it's not set Result: the operator generates httpSecret and uses it for all replicas when the config is created without it or when it is deleted from the config
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 606 None None None 2020-09-21 09:40:47 UTC

Description Oleg Bulatov 2020-04-16 14:21:08 UTC
spec.httpSecret is marked as optional in our API. But it's essential to generate it and use the same value for all replicas if we have more than one replica.

Today the operator generates this secret only when it bootstraps the config object.

As we can't change API and remove `optional`, we should generate a new secret if the config is provided with an empty httpSecret.

Comment 2 Oleg Bulatov 2020-05-18 12:14:09 UTC
Low priority, won't be fixed this sprint.

Comment 9 Wenjing Zheng 2020-09-14 05:29:05 UTC
Verified on 4.6.0-0.nightly-2020-09-12-230035: spec.httpSecret can be auto-created.


Note You need to log in before you can comment on or make changes to this bug.